## golang-github-willf-bitset 1.1.2+git20170505.0.988f4f2

=== debian/changelog ===
golang-github-willf-bitset (1.1.2+git20170505.0.988f4f2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 17 Jul 2017 21:11:47 -0500

golang-github-willf-bitset (1.0.0+git20161202.88.5c3c0fc-1) unstable; urgency=medium

  * Initial release (Closes: #722977)

 -- Michael Lustfield <michael@lustfield.net>  Fri, 24 Mar 2017 01:19:59 -0500
