=== debian/control ===
Source: golang-github-willf-bitset
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 3.9.8
Homepage: https://github.com/willf/bitset
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-willf-bitset.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-willf-bitset.git
XS-Go-Import-Path: github.com/willf/bitset

Package: golang-github-willf-bitset-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Implements bitsets, a mapping between non-negative integers and boolean values
 This package provides a Go library with methods for setting, clearing,
 flipping, and testing individual integers.
 .
 It also provides set intersection, union, difference, complement, and
 symmetric operations, as well as tests to check whether any, all, or
 no bits are set, and queries a bitset's current length and number of
 positive bits.
