## golang-github-willf-bitset 1.1.3

=== debian/changelog ===
golang-github-willf-bitset (1.1.3-3) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:34 -0600

golang-github-willf-bitset (1.1.3-2) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:16:08 -0600

golang-github-willf-bitset (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Follow upstream releases; not git tags.
  * Maintenance updates:
    - Standards version bump.
    - Add Testsuite.
    - Fix failing tests.

 -- Michael Lustfield <michael@lustfield.net>  Tue, 26 Sep 2017 04:12:48 -0500
