## golang-github-willf-bitset 1.1.10

=== debian/changelog ===
golang-github-willf-bitset (1.1.10-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 Feb 2024 10:53:30 +0100
