=== debian/control ===
Source: golang-github-willf-bitset
Section: devel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/bits-and-blooms/bitset/
Vcs-Browser: https://gitlab.com/kalilinux/packages/golang-github-willf-bitset
Vcs-Git: https://gitlab.com/kalilinux/packages/golang-github-willf-bitset.git
XS-Go-Import-Path: github.com/willf/bitset
Testsuite: autopkgtest-pkg-go

Package: golang-github-willf-bitset-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Go package implementing bitsets (dev)
 Package bitset implements bitsets, a mapping between non-negative integers and
 boolean values. It should be more efficient than map[uint] bool.
 .
 It provides methods for setting, clearing, flipping, and testing individual
 integers.
 .
 This package contains the dev files.
