## golang-github-willf-bitset 1.1.11

=== debian/changelog ===
golang-github-willf-bitset (1.1.11-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + golang-github-willf-bitset-dev: Add Multi-Arch: foreign.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 01:29:28 +0000

golang-github-willf-bitset (1.1.11-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Fix Debian QA group name.

  [ Debian Janitor ]
  * Update standards version to 4.1.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Change priority extra to priority optional.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository.

  [ Shengjing Zhu ]
  * New upstream version 1.1.11
  * New maintainer (Closes: #889198)
  * Update debhelper compat to 13
  * Update Standards-Version to 4.5.0 (no changes)
  * Add Rules-Requires-Root
  * Enable tests
  * Update d/copyright

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 24 Aug 2020 00:09:17 +0800
